Skip to main content
Use this endpoint to retrieve all clubs that are playing in the competition in the current seasion. These are the same competitions as can be found viaGET /competitions.

Authentication

All requests must include a valid API key, either as an x-api-key header or as a Bearer token in the Authorization header.
x-api-key: YOUR_API_KEY
# or
Authorization: Bearer YOUR_API_KEY

Request

competition_id
string
required
The SquadAssist competition ID. Obtain this from GET /competitions

Response

clubs
array[Club]
An array of club objects, one for each club in the competition.

Example

$headers = @{
    "x-api-key"    = "YOUR_API_KEY"
    "Content-Type" = "application/json"
}

curl "https://api.squadassist.ai/v1/get_clubs_in_competition?competition=BELGIAN_JUPILER_PRO_LEAGUE" -H $headers
Response
{
	"clubs": 
  	[
		{
		"squadassist_id": "C01JJBSWKE71ZEN2E52257YQGP5",
		"transfermarkt_id": 520, 
		"name" : "Cercle Brugge"
		},
	...
	]

}